import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 应用部件服务对象基类
 *
 * @export
 * @class IBIZAPPCTRLServiceBase
 * @extends {EntityServie}
 */
export default class IBIZAPPCTRLServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZAPPCTRLServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZAPPCTRLServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZAPPCTRLServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizappctrl';
        this.APPDEKEY = 'ibizappctrlid';
        this.APPDENAME = 'ibizappctrls';
        this.APPDETEXT = 'ibizappctrlname';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPCTRLServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/ibizappctrls/${context.ibizappctrl}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPCTRLServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }

    /**
     * searchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPCTRLServiceBase
     */
    public async searchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return await Http.getInstance().post(`/ibizappctrls/searchdefault`,tempData,isloading);
    }
}